Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.parser.v2
Interface XMLEventListenerAttributes

public interface XMLEventListenerAttributes

This interface defines the XMLEvent Attributes Used by the Parser to push the XML Events attributes to the application (ListernerProvider)

Field Summary
`static short` | `CANCEL_DEFAULT` Constants for Default Action Constant for "cancel" default action
`static short` | `CAPTURE_PHASE` Constants for Listener Phase.
`static short` | `CONTINUE_PROPAGATION` Constants for Event propagation Constant for "continue" propagation
`static short` | `DEFAULT_PHASE` Constants for Listener Phase.
`static short` | `PERFORM_DEFAULT` Constants for Default Action Constant for "perform" default action
`static short` | `STOP_PROPAGATION` Constants for Event propagation Constant for "stop" propagation

Method Summary
`short` | `getDefaultAction()` Returns the specified "defaultAction" property of XMLEvent Listener (XMLEvents specification)
`java.lang.String` | `getEventType()` Returns the "event" property of XMLEvent Listener (XMLEvents specification)
`Element` | `getHandler()` Returns the specified "handler" property of XMLEvent Listener (XMLEvents specification)
`java.lang.String` | `getHandlerUri()` Returns the specified "handler" property of XMLEvent Listener (XMLEvents specification)
`Element` | `getObserver()` Returns the specified "observer" property of XMLEvent Listener (XMLEvents specification)
`short` | `getPhase()` Returns the specified "phase" property of XMLEvent Listener (XMLEvents specification)
`short` | `getPropagate()` Returns the specified "propagate" property of XMLEvent Listener (XMLEvents specification)
`Element` | `getTarget()` Returns the specified "target" property of XMLEvent Listener (XMLEvents specification)

Field Detail

### CAPTURE_PHASE

    public static final short CAPTURE_PHASE

  Constants for Listener Phase. Constant for "capture" Phase
  See Also:
    Constant Field Values

### DEFAULT_PHASE

    public static final short DEFAULT_PHASE

  Constants for Listener Phase. Constant for "default" Phase
  See Also:
    Constant Field Values

### CANCEL_DEFAULT

    public static final short CANCEL_DEFAULT

  Constants for Default Action Constant for "cancel" default action
  See Also:
    Constant Field Values

### PERFORM_DEFAULT

    public static final short PERFORM_DEFAULT

  Constants for Default Action Constant for "perform" default action
  See Also:
    Constant Field Values

### STOP_PROPAGATION

    public static final short STOP_PROPAGATION

  Constants for Event propagation Constant for "stop" propagation
  See Also:
    Constant Field Values

### CONTINUE_PROPAGATION

    public static final short CONTINUE_PROPAGATION

  Constants for Event propagation Constant for "continue" propagation
  See Also:
    Constant Field Values

Method Detail

### getEventType

    public java.lang.String getEventType()

  Returns the "event" property of XMLEvent Listener (XMLEvents specification)
  Returns:
    String. Returns Event type of the Event Listener

### getPhase

    public short getPhase()

  Returns the specified "phase" property of XMLEvent Listener (XMLEvents specification)
  Returns:
    short. Returns the phase of the event observer (DOM2 EventListener) is applicable for.

### getDefaultAction

    public short getDefaultAction()

  Returns the specified "defaultAction" property of XMLEvent Listener (XMLEvents specification)
  Returns:
    short. Returns the defaultAction attribute of the XML Event Listener.

### getPropagate

    public short getPropagate()

  Returns the specified "propagate" property of XMLEvent Listener (XMLEvents specification)
  Returns:
    short. Returns the Propogate attribute of the XML Event listener.

### getTarget

    public Element getTarget()

  Returns the specified "target" property of XMLEvent Listener (XMLEvents specification)
  Returns:
    Element. Returns the target Element if listener is for an EventTarget. Returns null if no target was specified

### getObserver

    public Element getObserver()

  Returns the specified "observer" property of XMLEvent Listener (XMLEvents specification)
  Returns:
    String. Returns the observer element (DOM2 EventTarget)

### getHandler

    public Element getHandler()

  Returns the specified "handler" property of XMLEvent Listener (XMLEvents specification)
  Returns:
    String. Returns the HandlerElement (DOM2 EventListener). Returns null if handler if an external URI

### getHandlerUri

    public java.lang.String getHandlerUri()

  Returns the specified "handler" property of XMLEvent Listener (XMLEvents specification)
  Returns:
    String. Returns URI of the Handler (DOM2 EventListener)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.